summaryrefslogtreecommitdiff
path: root/dracut.sh
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2013-02-18 11:57:20 +0100
committerHarald Hoyer <harald@redhat.com>2013-02-18 12:03:02 +0100
commit5db6ca5a4bff765234ef3236a2ec8df70ceee3ae (patch)
treee1d569e9dd9ddfa157b7bb92a259ca8c3766154f /dracut.sh
parent1a6fdf2417a9eabdc0ec450bb47dcb519a689c50 (diff)
downloaddracut-5db6ca5a4bff765234ef3236a2ec8df70ceee3ae.tar.gz
dracut-5db6ca5a4bff765234ef3236a2ec8df70ceee3ae.tar.bz2
dracut-5db6ca5a4bff765234ef3236a2ec8df70ceee3ae.zip
dracut: enable initramfs building without kernel modules
Diffstat (limited to 'dracut.sh')
-rwxr-xr-xdracut.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/dracut.sh b/dracut.sh
index e4c70439..4d17e4de 100755
--- a/dracut.sh
+++ b/dracut.sh
@@ -689,10 +689,11 @@ esac
abs_outfile=$(readlink -f "$outfile") && outfile="$abs_outfile"
-[[ -f $srcmods/modules.dep ]] || {
- dfatal "$srcmods/modules.dep is missing. Did you run depmod?"
- exit 1
-}
+if [[ -d $srcmods ]]; then
+ [[ -f $srcmods/modules.dep ]] || {
+ dwarn "$srcmods/modules.dep is missing. Did you run depmod?"
+ }
+fi
if [[ -f $outfile && ! $force ]]; then
dfatal "Will not override existing initramfs ($outfile) without --force"